commit:     59d157c89c90ccea705db3edea55fa86df6cd6b0
Author:     Steffen Winter <steffen.winter <AT> proton <DOT> me>
AuthorDate: Mon Dec 30 13:06:21 2024 +0000
Commit:     Steffen Winter <stffn.mobil <AT> freenet <DOT> de>
CommitDate: Mon Dec 30 13:06:21 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=59d157c8

dev-cpp/simdutf: Bump to 5.7.2

Signed-off-by: Steffen Winter <steffen.winter <AT> proton.me>

 dev-cpp/simdutf/Manifest             |  1 +
 dev-cpp/simdutf/simdutf-5.7.2.ebuild | 26 ++++++++++++++++++++++++++
 2 files changed, 27 insertions(+)

diff --git a/dev-cpp/simdutf/Manifest b/dev-cpp/simdutf/Manifest
index c74dfeb22..9aca18d83 100644
--- a/dev-cpp/simdutf/Manifest
+++ b/dev-cpp/simdutf/Manifest
@@ -1 +1,2 @@
 DIST simdutf-5.7.1.tar.gz 2078811 BLAKE2B 
3a78b0fad12877d900f435f00fc4360ad918d60297e4ca8a37f578cf002682a620b4f5086c02b2b89553be89cf4c2dac89760be01004e4e0d8d63b20925e8820
 SHA512 
4452bf3151cc680e7a8730b7f5e76feb9a14bf044df6081a71845b9ad92650fcd4e880ae9a2a4a784ecd4aab031f89831b5694c7a9ae00ad28c2ab8ee3e95986
+DIST simdutf-5.7.2.tar.gz 2079493 BLAKE2B 
6b72b1212b8cdcc9da192fcc939a3695a451e864ff8357dc250cfcf25314da901ddf7d5bda5a60c7e6f601cb637400d2e81764a8f47ce6e4f509e99fe4af9305
 SHA512 
0ff4b0b96913a0ecc79483184af0e29e4070fa304930665f831f87179ed443a9b76ae8b392f57aad4dac0cca01f86405efab7b7827ef9f885697e919d0132a75

diff --git a/dev-cpp/simdutf/simdutf-5.7.2.ebuild 
b/dev-cpp/simdutf/simdutf-5.7.2.ebuild
new file mode 100644
index 000000000..629fb4557
--- /dev/null
+++ b/dev-cpp/simdutf/simdutf-5.7.2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit cmake python-any-r1
+
+DESCRIPTION="simdutf: Unicode validation and transcoding at billions of 
characters per second"
+HOMEPAGE="https://simdutf.github.io/simdutf/";
+SRC_URI="https://github.com/simdutf/simdutf/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+BDEPEND="${PYTHON_DEPS}"
+
+RESTRICT="!test? ( test )"
+
+src_configure() {
+       local mycmakeargs=( -DSIMDUTF_TESTS=$(usex test ON OFF) )
+       cmake_src_configure
+}

Reply via email to